# Interface TwinDiagnosticNodeData

interface TwinDiagnosticNodeData {
gid?: string;
modelId?: string;
name?: string;
originalGid?: string;
[property: string]: any;
}

#### Indexable

- [property: string]: any

##### Index

### Properties

gid?
modelId?
name?
originalGid?

## Properties

### `Optional` gid

gid?: string

The identifier of the entity in the Twin file.

### `Optional` modelId

modelId?: string

The identifier of the model this entity belongs to.

### `Optional` name

name?: string

The name of the entity.

### `Optional` originalGid

originalGid?: string

Incoming identifier from the IFC file.